CMSIS-DSP: SineCosine Example

| CMSIS-DSP Version 1.8.0 CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
SineCosine Example
Examples

Description:

  Demonstrates the Pythagorean trignometric identity with the use of Cosine, Sine, Vector Multiplication, and Vector Addition functions.

Algorithm:

  Mathematically, the Pythagorean trignometric identity is defined by the following equation:

      sin(x) * sin(x) + cos(x) * cos(x) = 1

  where `x` is the angle in radians.

Block Diagram:

Variables Description:

  - `testInput_f32` array of input angle in radians
  - `testOutput` stores sum of the squares of sine and cosine values of input angle

CMSIS DSP Software Library Functions Used:

  - arm_cos_f32()
  - arm_sin_f32()
  - arm_mult_f32()
  - arm_add_f32()

Refer arm_sin_cos_example_f32.c